# Class DelayedEvalBshMethod

java.lang.Object
bsh.BshMethod
bsh.DelayedEvalBshMethod

All Implemented Interfaces:
  `Serializable`

public class DelayedEvalBshMethod extends BshMethod

See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`Class[]`
`getParameterTypes()`
Get the argument types of this method.
`String[]`
`getParamTypeDescriptors()`
`Class`
`getReturnType()`
Get the return type of the method.
`String`
`getReturnTypeDescriptor()`

### Methods inherited from class BshMethod

`getModifiers, getName, getParameterNames, hasModifier, invoke, invoke, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getReturnTypeDescriptor

public String getReturnTypeDescriptor()

### getReturnType

public Class getReturnType()
Description copied from class: `BshMethod`
Get the return type of the method.

Overrides:
  `getReturnType` in class `BshMethod`
Returns:
  Returns null for a loosely typed return value, Void.TYPE for a void return type, or the Class of the type.

### getParamTypeDescriptors

public String[] getParamTypeDescriptors()

### getParameterTypes

public Class[] getParameterTypes()
Description copied from class: `BshMethod`
Get the argument types of this method. loosely typed (untyped) arguments will be represented by null argument types.

Overrides:
  `getParameterTypes` in class `BshMethod`